> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a group > Create a new group.
For domain, check Mapp Engage > Create > New Group
Returns Object Already Exists Exception ## OpenAPI ````json POST /group/create { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/group/create": { "post": { "tags": [ "Group" ], "summary": "Create a group", "description": "Create a new group.
For domain, check Mapp Engage > Create > New Group
Returns Object Already Exists Exception", "operationId": "CreateGroup", "parameters": [ { "name": "name", "in": "query", "description": "The name of the group.", "required": true, "schema": { "type": "string" } }, { "name": "email", "in": "query", "description": "The email address of the group.", "required": true, "schema": { "type": "string" } }, { "name": "description", "in": "query", "description": "The description of the group.", "schema": { "type": "string" } }, { "name": "groupCategoryId", "in": "query", "description": "The group category", "schema": { "type": "integer", "format": "int64" } }, { "name": "isoCountryCode", "in": "query", "description": "The ISO country code", "required": true, "schema": { "type": "string" } }, { "name": "isoLanguageCode", "in": "query", "description": "The ISO language code", "required": true, "schema": { "type": "string" } }, { "name": "isSuperGroup", "in": "query", "description": "Should be a supergroup", "required": true, "schema": { "type": "boolean" } }, { "name": "groupTemplateId", "in": "query", "description": "The ID of groupTemplate", "schema": { "type": "integer", "format": "int64" } } ], "responses": { "200": { "description": "successful operation", "content": { "application/octet-stream": { "schema": { "type": "integer", "format": "int64" } } } }, "204": { "description": "Example response:

{
1900328197
}", "content": { "application/octet-stream": {} } }, "400": { "description": "Required parameters are missing or incorrect / Group already exists", "content": { "application/octet-stream": {} } } } } } } } ````